com.sun.jna.platform.win32

## Class Tlhelp32.PROCESSENTRY32

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.Tlhelp32.PROCESSENTRY32

- Direct Known Subclasses:
    Tlhelp32.PROCESSENTRY32.ByReference
  Enclosing interface:
    Tlhelp32

      public static class Tlhelp32.PROCESSENTRY32
      extends Structure

  Describes an entry from a list of the processes residing in the system address space when a snapshot was taken.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Tlhelp32.PROCESSENTRY32.ByReference`

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByValue, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `WinDef.DWORD` | `cntThreads` The number of execution threads started by the process.
    `WinDef.DWORD` | `cntUsage` This member is no longer used and is always set to zero.
    `WinDef.DWORD` | `dwFlags` This member is no longer used, and is always set to zero.
    `WinDef.DWORD` | `dwSize` The size of the structure, in bytes.
    `static java.util.List<java.lang.String>` | `FIELDS`
    `WinDef.LONG` | `pcPriClassBase` The base priority of any threads created by this process.
    `char[]` | `szExeFile` The name of the executable file for the process.
    `BaseTSD.ULONG_PTR` | `th32DefaultHeapID` This member is no longer used and is always set to zero.
    `WinDef.DWORD` | `th32ModuleID` This member is no longer used and is always set to zero.
    `WinDef.DWORD` | `th32ParentProcessID` The identifier of the process that created this process (its parent process).
    `WinDef.DWORD` | `th32ProcessID` The process identifier.

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Tlhelp32.PROCESSENTRY32()`
    `Tlhelp32.PROCESSENTRY32(Pointer memory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.util.List<java.lang.String>` | `getFieldOrder()` Return this Structure's field names in their proper order.

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### FIELDS

          public static final java.util.List<java.lang.String> FIELDS

    - #### dwSize

          public WinDef.DWORD dwSize

      The size of the structure, in bytes. Before calling the Process32First function, set this member to sizeof(PROCESSENTRY32). If you do not initialize dwSize, Process32First fails.

    - #### cntUsage

          public WinDef.DWORD cntUsage

      This member is no longer used and is always set to zero.

    - #### th32ProcessID

          public WinDef.DWORD th32ProcessID

      The process identifier.

    - #### th32DefaultHeapID

          public BaseTSD.ULONG_PTR th32DefaultHeapID

      This member is no longer used and is always set to zero.

    - #### th32ModuleID

          public WinDef.DWORD th32ModuleID

      This member is no longer used and is always set to zero.

    - #### cntThreads

          public WinDef.DWORD cntThreads

      The number of execution threads started by the process.

    - #### th32ParentProcessID

          public WinDef.DWORD th32ParentProcessID

      The identifier of the process that created this process (its parent process).

    - #### pcPriClassBase

          public WinDef.LONG pcPriClassBase

      The base priority of any threads created by this process.

    - #### dwFlags

          public WinDef.DWORD dwFlags

      This member is no longer used, and is always set to zero.

    - #### szExeFile

          public char[] szExeFile

      The name of the executable file for the process. To retrieve the full path to the executable file, call the Module32First function and check the szExePath member of the MODULEENTRY32 structure that is returned. However, if the calling process is a 32-bit process, you must call the QueryFullProcessImageName function to retrieve the full path of the executable file for a 64-bit process.

  - ### Constructor Detail

    - #### Tlhelp32.PROCESSENTRY32

          public Tlhelp32.PROCESSENTRY32()

    - #### Tlhelp32.PROCESSENTRY32

          public Tlhelp32.PROCESSENTRY32(Pointer memory)

  - ### Method Detail

    - #### getFieldOrder

          protected java.util.List<java.lang.String> getFieldOrder()

      Description copied from class: `Structure`
      Return this Structure's field names in their proper order. For example,

           protected List getFieldOrder() {
               return Arrays.asList(new String[] { ... });
           }

      IMPORTANT When deriving from an existing Structure subclass, ensure that you augment the list provided by the superclass, e.g.

           protected List getFieldOrder() {
               List fields = new ArrayList(super.getFieldOrder());
               fields.addAll(Arrays.asList(new String[] { ... }));
               return fields;
           }

      Field order must be explicitly indicated, since the field order as returned by `Class.getFields()` is not guaranteed to be predictable.
      Specified by:
        `getFieldOrder` in class `Structure`
      Returns:
        ordered list of field names

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.